local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____render = require("functions.render")
local renderTextOnEntity = ____render.renderTextOnEntity
local ____Feature = require("classes.private.Feature")
local Feature = ____Feature.Feature
local ____utils = require("classes.features.other.debugDisplay.utils")
local defaultEntityDisplayCallback = ____utils.defaultEntityDisplayCallback
____exports.DebugDisplayKnife = __TS__Class()
local DebugDisplayKnife = ____exports.DebugDisplayKnife
DebugDisplayKnife.name = "DebugDisplayKnife"
__TS__ClassExtends(DebugDisplayKnife, Feature)
function DebugDisplayKnife.prototype.____constructor(self)
    Feature.prototype.____constructor(self)
    self.textCallback = defaultEntityDisplayCallback
    self.postKnifeRender = function(____, knife)
        local text = self:textCallback(knife)
        renderTextOnEntity(nil, knife, text)
    end
    self.callbacksUsed = {{ModCallback.POST_KNIFE_RENDER, self.postKnifeRender}}
end
return ____exports
